operator->
Prev | Chapter 18. Db_set_base_iterator | Next

## operator->

### Function Details

    pointer operator->() const

Arrow operator.

Return the pointer to the cached data element, which is an object of type T. You can only use the return value to read its referenced data element, can not update it.

#### Return Value

Current data element reference object's address, i.e. address of ElementHolder or ElementRef object.

### Class

db_set_base_iterator

Prev | Up | Next
operator * | Home | refresh